Bug 241572 - [NEW PORT] www/nift: Cross-platform open source website generator
Summary: [NEW PORT] www/nift: Cross-platform open source website generator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://www.nift.cc
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-29 15:10 UTC by Mohammad S. Babaei
Modified: 2019-11-02 13:30 UTC (History)
1 user (show)

See Also:


Attachments
www/nift-1.16 shar file (1.60 KB, text/plain)
2019-10-29 15:10 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details
www/nift-1.17 shar file (1.60 KB, text/plain)
2019-11-01 10:42 UTC, Mohammad S. Babaei
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2019-10-29 15:10:21 UTC
Created attachment 208678 [details]
www/nift-1.16 shar file

Nift (aka nsm) is a cross-platform open-source framework for managing and
generating websites. It's lightning-fast, developed from the ground
up in C++.

WWW: https://www.nift.cc
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-30 02:00:49 UTC
fwiw, maintainer-approval is only for ports once they are committed to the ports tree.
Comment 2 Mohammad S. Babaei 2019-10-30 02:05:15 UTC
Thanks for the hint.
Comment 3 Mohammad S. Babaei 2019-11-01 10:42:09 UTC
Created attachment 208769 [details]
www/nift-1.17 shar file

This obsoletes the previous shar file as the original developer released a new version a few hours ago.
Comment 4 Mohammad S. Babaei 2019-11-01 10:52:53 UTC
https://github.com/nifty-site-manager/nsm/blob/master/release-notes.md

Release Notes

Version 1.17 of Nift

    changed std::endl to "\n" when writing to file, 20% improvement in build-all time on some machines, no improvement on others
    changed pages set to pointer in PageBuilder.h, significantly less memory consumption
    added/improved Nift commands new-template, new-site-dir, new-cont-dir, new-cont-ext, new-page-ext
    added @systemcontent(sys-call) syntax to template language
    fixed bug with @system, @systemoutput, @script, @scriptoutput syntax
Comment 5 Tobias C. Berner freebsd_committer 2019-11-02 13:29:49 UTC
Added to the tree. Thanks.
Comment 6 commit-hook freebsd_committer 2019-11-02 13:30:13 UTC
A commit references this bug:

Author: tcberner
Date: Sat Nov  2 13:29:35 UTC 2019
New revision: 516321
URL: https://svnweb.freebsd.org/changeset/ports/516321

Log:
  New port: www/nift -- Cross-platform open source website generator

  Nift (aka nsm) is a cross-platform open-source framework for managing and
  generating websites. It's lightning-fast, developed from the ground
  up in C++.

  WWW: https://www.nift.cc

  PR:		241572
  Submitted by:	Mohammad S. Babaei <info@babaei.net>

Changes:
  head/www/Makefile
  head/www/nift/
  head/www/nift/Makefile
  head/www/nift/distinfo
  head/www/nift/pkg-descr